summaryrefslogtreecommitdiff
path: root/debian/tests/control
diff options
context:
space:
mode:
authorPicca Frédéric-Emmanuel <picca@debian.org>2018-12-20 21:05:20 +0100
committerPicca Frédéric-Emmanuel <picca@debian.org>2018-12-20 21:27:23 +0100
commit3e5dcad207c1eadeb74fb53f524c3a94fbe19096 (patch)
tree00a5e936c087d56320fd689e4af2ff3f5586d239 /debian/tests/control
parented0261af7842917bc093523bca510060b2454562 (diff)
remove useless keyword
Diffstat (limited to 'debian/tests/control')
-rw-r--r--debian/tests/control31
1 files changed, 31 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..1e5cddf
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,31 @@
+Test-Command: set -efu
+ ; for py in $(pyversions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -c "import silx.test; silx.test.run_tests()" 2>&1
+ ; done
+Depends: python-all, python-silx, xauth, xvfb
+
+Test-Command: set -efu
+ ; for py in $(pyversions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py-dbg:"
+ ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py-dbg -c "import silx.test; silx.test.run_tests()" 2>&1
+ ; done
+Depends: python-all-dbg, python-silx-dbg, xauth, xvfb
+
+Test-Command: set -efu
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -c "import silx.test; silx.test.run_tests()" 2>&1
+ ; done
+Depends: python3-all, python3-silx, xauth, xvfb
+
+Test-Command: set -efu
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py-dbg:"
+ ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py-dbg -c "import silx.test; silx.test.run_tests()" 2>&1
+ ; done
+Depends: python3-all-dbg, python3-silx-dbg, xauth, xvfb